<?php

namespace App\Modules\Admin\Controllers\Admin;

use App\Base\BaseController;
use App\Modules\Admin\Services\UserService;

class UserController extends BaseController
{
    protected $service;

    public function __construct(UserService $authService)
    {
        $this->service = $authService;
    }

    public function paginate()
    {
        $data = $this->valid([
            "userinfo" => "",
            "status" => "",
            "page_size" => "",
        ]);

        return $this->ok($this->service->paginate($data));
    }

    public function changeStatus()
    {
        $data = $this->valid([
            "id" => "required",
        ]);

        return $this->ok($this->service->changeStatus($data));
    }

    public function saveSetting()
    {
        $data = $this->valid([
            "id" => "required",
            "password" => "",
            "group_id" => "required",
            "permissions" => 'array',
        ]);

        return $this->ok($this->service->saveSetting($data));
    }

}
