<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('user_fav', function (Blueprint $table) {
            $table->id();
            $table->unsignedInteger("user_id")->default(0);
            $table->unsignedInteger("goods_id")->default(0);
            $table->timestamps();
            $table->softDeletes();
        });

        Schema::create('user_address', function (Blueprint $table) {
            $table->id();
            $table->string("name")->default('');
            $table->string("phone")->default('');
            $table->string("area")->default('');
            $table->string("address")->default("");
            $table->tinyInteger("is_default")->default(0);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('user_fav');
        Schema::dropIfExists('user_address');
    }
};
