<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

Route::get('/', [\App\Http\Controllers\Controller::class, "ping"]);

Route::post("/auth/emailCaptcha", [\App\Modules\Pc\Controllers\AuthController::class, "emailCaptcha"]);
Route::post("/auth/register", [\App\Modules\Pc\Controllers\AuthController::class, "register"]);
Route::post("/auth/login", [\App\Modules\Pc\Controllers\AuthController::class, "login"]);
Route::post("/auth/resetPassword", [\App\Modules\Pc\Controllers\AuthController::class, "resetPassword"]);

Route::get("/auth/profile", [\App\Modules\Pc\Controllers\AuthController::class, "profile"]);

Route::get("/page/home", [\App\Modules\Pc\Controllers\PageController::class, "home"]);
Route::get("/page/categoryTree", [\App\Modules\Pc\Controllers\PageController::class, "categoryTree"]);
Route::get("/page/categoryGoods", [\App\Modules\Pc\Controllers\PageController::class, "categoryGoods"]);
Route::get("/page/filterConfig", [\App\Modules\Pc\Controllers\PageController::class, "filterConfig"]);
Route::get("/page/search", [\App\Modules\Pc\Controllers\PageController::class, "search"]);

Route::get("/goods", [\App\Modules\Pc\Controllers\GoodsController::class, "goods"]);
Route::post("/goods/fav", [\App\Modules\Pc\Controllers\GoodsController::class, "fav"]);
Route::post("/goods/ask", [\App\Modules\Pc\Controllers\GoodsController::class, "ask"]);

Route::get("/user/address", [\App\Modules\Pc\Controllers\UserController::class, "address"]);
Route::post("/user/addressDel", [\App\Modules\Pc\Controllers\UserController::class, "addressDel"]);
Route::post("/user/addressStore", [\App\Modules\Pc\Controllers\UserController::class, "addressStore"]);

Route::get("/user/fav", [\App\Modules\Pc\Controllers\UserController::class, "fav"]);
Route::post("/user/favDel", [\App\Modules\Pc\Controllers\UserController::class, "favDel"]);

Route::get("/cart", [\App\Modules\Pc\Controllers\CartController::class, "index"]);
Route::post("/cart/del", [\App\Modules\Pc\Controllers\CartController::class, "del"]);
Route::post("/cart/store", [\App\Modules\Pc\Controllers\CartController::class, "store"]);
Route::post("/cart/ask", [\App\Modules\Pc\Controllers\CartController::class, "ask"]);

Route::get("/config", function () {
    return [
        "code" => 200,
        "data" => [
            "search_keywords" => ["热搜词1", "热搜词2", "热搜词3"],
        ],
    ];
});
